<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-base-info.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mcm-base-info_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mcm-base-info.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;inttypes.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
</div>
<p><a href="mcm-base-info_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__object__info.html">mcm_object_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__property__info.html">mcm_property_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__interface__info.html">mcm_interface_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__info.html">mcm_network_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__network__status.html">mcm_network_status</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__ethernet__info.html">mcm_ethernet_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__info.html">mcm_wifi_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html">mcm_modem_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__wifi__ap.html">mcm_wifi_ap</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__profiles.html">mcm_profiles</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__diag__info.html">mcm_diag_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__upgrade__info.html">mcm_upgrade_info</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ad9c3201fbd8986c399f628594f2b1158"><td class="memItemLeft" align="right" valign="top"><a id="ad9c3201fbd8986c399f628594f2b1158"></a>
typedef struct <a class="el" href="structmcm__object__info.html">mcm_object_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_object_info</b></td></tr>
<tr class="separator:ad9c3201fbd8986c399f628594f2b1158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2541486f0180774185a2237873195f48"><td class="memItemLeft" align="right" valign="top"><a id="a2541486f0180774185a2237873195f48"></a>
typedef struct <a class="el" href="structmcm__property__info.html">mcm_property_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_property_info</b></td></tr>
<tr class="separator:a2541486f0180774185a2237873195f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac673b8bd2609de9b412947b3aa6ec766"><td class="memItemLeft" align="right" valign="top"><a id="ac673b8bd2609de9b412947b3aa6ec766"></a>
typedef struct <a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_property_info_linked_list</b></td></tr>
<tr class="separator:ac673b8bd2609de9b412947b3aa6ec766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e11aef72634fc832830434391d46e1b"><td class="memItemLeft" align="right" valign="top"><a id="a6e11aef72634fc832830434391d46e1b"></a>
typedef struct <a class="el" href="structmcm__interface__info.html">mcm_interface_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_interface_info</b></td></tr>
<tr class="separator:a6e11aef72634fc832830434391d46e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc7dcb40f2825bdd32d6314d17d88177"><td class="memItemLeft" align="right" valign="top"><a id="adc7dcb40f2825bdd32d6314d17d88177"></a>
typedef struct <a class="el" href="structmcm__network__info.html">mcm_network_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_network_info</b></td></tr>
<tr class="separator:adc7dcb40f2825bdd32d6314d17d88177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7983464e7c050791b653922561549db2"><td class="memItemLeft" align="right" valign="top"><a id="a7983464e7c050791b653922561549db2"></a>
typedef struct <a class="el" href="structmcm__network__status.html">mcm_network_status</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_network_status</b></td></tr>
<tr class="separator:a7983464e7c050791b653922561549db2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47aa923ab110eda9d004c4bb86538806"><td class="memItemLeft" align="right" valign="top"><a id="a47aa923ab110eda9d004c4bb86538806"></a>
typedef struct <a class="el" href="structmcm__ethernet__info.html">mcm_ethernet_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_ethernet_info</b></td></tr>
<tr class="separator:a47aa923ab110eda9d004c4bb86538806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb91106cc21313f4aede761f9d293598"><td class="memItemLeft" align="right" valign="top"><a id="adb91106cc21313f4aede761f9d293598"></a>
typedef struct <a class="el" href="structmcm__wifi__info.html">mcm_wifi_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_wifi_info</b></td></tr>
<tr class="separator:adb91106cc21313f4aede761f9d293598"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fa534727e57c1cc892022039feca808"><td class="memItemLeft" align="right" valign="top"><a id="a9fa534727e57c1cc892022039feca808"></a>
typedef struct <a class="el" href="structmcm__modem__info.html">mcm_modem_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_modem_info</b></td></tr>
<tr class="separator:a9fa534727e57c1cc892022039feca808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43ddd71eda802f548123b252e6d85328"><td class="memItemLeft" align="right" valign="top"><a id="a43ddd71eda802f548123b252e6d85328"></a>
typedef struct <a class="el" href="structmcm__wifi__ap.html">mcm_wifi_ap</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_wifi_ap</b></td></tr>
<tr class="separator:a43ddd71eda802f548123b252e6d85328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc0741d74fa3fff495b54ebb75959596"><td class="memItemLeft" align="right" valign="top"><a id="abc0741d74fa3fff495b54ebb75959596"></a>
typedef struct <a class="el" href="structmcm__profiles.html">mcm_profiles</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_profiles</b></td></tr>
<tr class="separator:abc0741d74fa3fff495b54ebb75959596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8cd22e2e4ec6fdf3ed03013dd4691fd"><td class="memItemLeft" align="right" valign="top"><a id="aa8cd22e2e4ec6fdf3ed03013dd4691fd"></a>
typedef struct <a class="el" href="structmcm__datausage__info.html">mcm_datausage_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_datausage_info</b></td></tr>
<tr class="separator:aa8cd22e2e4ec6fdf3ed03013dd4691fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab098a52394a470d6b25098f4518e7cce"><td class="memItemLeft" align="right" valign="top"><a id="ab098a52394a470d6b25098f4518e7cce"></a>
typedef struct <a class="el" href="structmcm__diag__info.html">mcm_diag_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_diag_info</b></td></tr>
<tr class="separator:ab098a52394a470d6b25098f4518e7cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09ad62928ebc6dfecb9826484c31f81"><td class="memItemLeft" align="right" valign="top"><a id="ac09ad62928ebc6dfecb9826484c31f81"></a>
typedef struct <a class="el" href="structmcm__upgrade__info.html">mcm_upgrade_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mcm_upgrade_info</b></td></tr>
<tr class="separator:ac09ad62928ebc6dfecb9826484c31f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a06fc87d81c62e9abb8790b6e5713c55b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85">MCM_SUCCESS</a> = 0
, <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad">MCM_GENERIC_ERR</a> = 1
, <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142">MCM_ENOMEM</a> = 2
, <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d">MCM_ENODEV</a> = 3
, <br />
&#160;&#160;<a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354">MCM_EINVAL</a> = 4
<br />
 }</td></tr>
<tr class="separator:a06fc87d81c62e9abb8790b6e5713c55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a62f864dda263194fe0b739745f4be872"><td class="memItemLeft" align="right" valign="top"><a id="a62f864dda263194fe0b739745f4be872"></a>
struct <a class="el" href="structmcm__property__info.html">mcm_property_info</a>&#160;</td><td class="memItemRight" valign="bottom"><b>__attribute__</b> ((packed))</td></tr>
<tr class="separator:a62f864dda263194fe0b739745f4be872"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2864741e24687afe650c319ad1c6d31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ac2864741e24687afe650c319ad1c6d31">mcm_free_property_info</a> (int arr_len, <a class="el" href="structmcm__property__info.html">mcm_property_info</a> *info)</td></tr>
<tr class="memdesc:ac2864741e24687afe650c319ad1c6d31"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for properies array free.  <a href="mcm-base-info_8h.html#ac2864741e24687afe650c319ad1c6d31">More...</a><br /></td></tr>
<tr class="separator:ac2864741e24687afe650c319ad1c6d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0312ffbc031c805ab82db57a4392e6d6"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0312ffbc031c805ab82db57a4392e6d6">mcm_get_error_message</a> (int error_num)</td></tr>
<tr class="memdesc:a0312ffbc031c805ab82db57a4392e6d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for propertyInfo_sub appended to propertyInfo.  <a href="mcm-base-info_8h.html#a0312ffbc031c805ab82db57a4392e6d6">More...</a><br /></td></tr>
<tr class="separator:a0312ffbc031c805ab82db57a4392e6d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad20b8c57a45da862d3567815284924bf"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a></td></tr>
<tr class="separator:ad20b8c57a45da862d3567815284924bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b548928a16f43766049f86ef90671b"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a></td></tr>
<tr class="separator:a63b548928a16f43766049f86ef90671b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70f8c0526045bc9ab39d163b03c75a7"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ae70f8c0526045bc9ab39d163b03c75a7">next</a></td></tr>
<tr class="separator:ae70f8c0526045bc9ab39d163b03c75a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a87c62177c96969d2d451132cb54892"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">interface_name</a> [64]</td></tr>
<tr class="separator:a9a87c62177c96969d2d451132cb54892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cd1cfbc45c8f15dd88b3f752ae70a4e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a6cd1cfbc45c8f15dd88b3f752ae70a4e">device_name</a> [16]</td></tr>
<tr class="separator:a6cd1cfbc45c8f15dd88b3f752ae70a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f096ad2d7f6166acb346a978ceba9f"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#af2f096ad2d7f6166acb346a978ceba9f">device_type</a> [16]</td></tr>
<tr class="separator:af2f096ad2d7f6166acb346a978ceba9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8740ba80e30dd75e71d09fa1dcf04f3d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a8740ba80e30dd75e71d09fa1dcf04f3d">enabled</a></td></tr>
<tr class="separator:a8740ba80e30dd75e71d09fa1dcf04f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a083983abcc8360e115036c7ef93fa103"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a083983abcc8360e115036c7ef93fa103">wan_priority</a></td></tr>
<tr class="separator:a083983abcc8360e115036c7ef93fa103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad53db8acabbf75e31bf23d9f20a2c847"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ad53db8acabbf75e31bf23d9f20a2c847">name</a> [64]</td></tr>
<tr class="separator:ad53db8acabbf75e31bf23d9f20a2c847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f10bd71183ff4754a7ba5466a94d237"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a8f10bd71183ff4754a7ba5466a94d237">network_type</a> [16]</td></tr>
<tr class="separator:a8f10bd71183ff4754a7ba5466a94d237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5125e97510d71c51990ea272e8ccf88"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ab5125e97510d71c51990ea272e8ccf88">ipv4_method</a> [16]</td></tr>
<tr class="separator:ab5125e97510d71c51990ea272e8ccf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8d51a784e3a91c1018ad2c25b38d05"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a2a8d51a784e3a91c1018ad2c25b38d05">ipv6_method</a> [16]</td></tr>
<tr class="separator:a2a8d51a784e3a91c1018ad2c25b38d05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcbefa70f33164da7c7a133edecf7460"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#adcbefa70f33164da7c7a133edecf7460">mac_address</a> [64]</td></tr>
<tr class="separator:adcbefa70f33164da7c7a133edecf7460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f2a37a625407c971e307c3b3dbf689e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a4f2a37a625407c971e307c3b3dbf689e">err_reason</a> [200]</td></tr>
<tr class="separator:a4f2a37a625407c971e307c3b3dbf689e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07305cbaed38d25344db17091d60c3c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ae07305cbaed38d25344db17091d60c3c">default_route</a></td></tr>
<tr class="separator:ae07305cbaed38d25344db17091d60c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f15c84c92f895c70ab39c3dbf9e2a96"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a8f15c84c92f895c70ab39c3dbf9e2a96">ipv4_address</a> [16]</td></tr>
<tr class="separator:a8f15c84c92f895c70ab39c3dbf9e2a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa805e8b1d75b2a9bda3d5f8666591d57"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#aa805e8b1d75b2a9bda3d5f8666591d57">ipv4_netmask</a> [16]</td></tr>
<tr class="separator:aa805e8b1d75b2a9bda3d5f8666591d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5064283dc44548edeee8d566865e5d17"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a5064283dc44548edeee8d566865e5d17">ipv4_gateway</a> [16]</td></tr>
<tr class="separator:a5064283dc44548edeee8d566865e5d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac832f13256339c2829ad58eccb1bfe5d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ac832f13256339c2829ad58eccb1bfe5d">ipv4_dns</a> [2][16]</td></tr>
<tr class="separator:ac832f13256339c2829ad58eccb1bfe5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0be0e69ac5c57ea9752a307e5bbe41bf"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0be0e69ac5c57ea9752a307e5bbe41bf">ipv6_address</a> [64]</td></tr>
<tr class="separator:a0be0e69ac5c57ea9752a307e5bbe41bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0791a6014e71e8b2126c0dd6782fc2b5"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0791a6014e71e8b2126c0dd6782fc2b5">ipv6_netmask</a> [64]</td></tr>
<tr class="separator:a0791a6014e71e8b2126c0dd6782fc2b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462cf46f12f09d127042b278230c970f"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a462cf46f12f09d127042b278230c970f">ipv6_gateway</a> [64]</td></tr>
<tr class="separator:a462cf46f12f09d127042b278230c970f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ee9c10c74c9b596e4fcd51b3d3163b1"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0ee9c10c74c9b596e4fcd51b3d3163b1">ipv6_dns</a> [2][64]</td></tr>
<tr class="separator:a0ee9c10c74c9b596e4fcd51b3d3163b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52fef7d34e37f56f3bf4b24d505d9f82"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a52fef7d34e37f56f3bf4b24d505d9f82">connection_status</a></td></tr>
<tr class="separator:a52fef7d34e37f56f3bf4b24d505d9f82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a680c64b36d7cd83a02a8269cc0ebad26"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a680c64b36d7cd83a02a8269cc0ebad26">link_detected</a></td></tr>
<tr class="separator:a680c64b36d7cd83a02a8269cc0ebad26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae24fc4f200e75aa8215f797b2561dbf"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#aae24fc4f200e75aa8215f797b2561dbf">link_speed</a></td></tr>
<tr class="separator:aae24fc4f200e75aa8215f797b2561dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88b073539a54e9b5002e29ae9ff3fd9b"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a88b073539a54e9b5002e29ae9ff3fd9b">duplex</a> [16]</td></tr>
<tr class="separator:a88b073539a54e9b5002e29ae9ff3fd9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0401e282e39a0d57c2dec3279f261000"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0401e282e39a0d57c2dec3279f261000">dhcp_server</a></td></tr>
<tr class="separator:a0401e282e39a0d57c2dec3279f261000"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd57610007f7ed710e250701ea0c03a9"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#acd57610007f7ed710e250701ea0c03a9">bssid</a> [32]</td></tr>
<tr class="separator:acd57610007f7ed710e250701ea0c03a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a283b9096e1c8ed43b27006c10025958e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a283b9096e1c8ed43b27006c10025958e">hwmode</a> [16]</td></tr>
<tr class="separator:a283b9096e1c8ed43b27006c10025958e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b945ec5b73777a5e344cbed065d9710"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a2b945ec5b73777a5e344cbed065d9710">frequency</a> [16]</td></tr>
<tr class="separator:a2b945ec5b73777a5e344cbed065d9710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0ce75e84ffdbdb732dfdb3df7e4a399"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#aa0ce75e84ffdbdb732dfdb3df7e4a399">operation_mode</a> [16]</td></tr>
<tr class="separator:aa0ce75e84ffdbdb732dfdb3df7e4a399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a852c23583d460f7300a34df220862c73"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a852c23583d460f7300a34df220862c73">ssid</a> [40]</td></tr>
<tr class="separator:a852c23583d460f7300a34df220862c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a111d1b710875d0ac9796257db88b5786"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a111d1b710875d0ac9796257db88b5786">secure_mode</a> [16]</td></tr>
<tr class="separator:a111d1b710875d0ac9796257db88b5786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f69f7997ce759a5dfefd92dada64d30"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a1f69f7997ce759a5dfefd92dada64d30">signal</a> [16]</td></tr>
<tr class="separator:a1f69f7997ce759a5dfefd92dada64d30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c72dd5e18823aef187a34137983c9a6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a0c72dd5e18823aef187a34137983c9a6">channel</a></td></tr>
<tr class="separator:a0c72dd5e18823aef187a34137983c9a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac729f85ec303664d3e8c81a70ff1a3c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ac729f85ec303664d3e8c81a70ff1a3c4">broadcast</a></td></tr>
<tr class="separator:ac729f85ec303664d3e8c81a70ff1a3c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09a7a7a93a28f4ec9dc9f40b7f8dc577"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a09a7a7a93a28f4ec9dc9f40b7f8dc577">cell_id</a> [16]</td></tr>
<tr class="separator:a09a7a7a93a28f4ec9dc9f40b7f8dc577"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ddb75962d95d165cbe23639f2c61adf"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a9ddb75962d95d165cbe23639f2c61adf">device_imei</a> [16]</td></tr>
<tr class="separator:a9ddb75962d95d165cbe23639f2c61adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f21e2768945b1f541c5dd3f57dc1251"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a1f21e2768945b1f541c5dd3f57dc1251">network_rat</a> [16]</td></tr>
<tr class="separator:a1f21e2768945b1f541c5dd3f57dc1251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8c3ded79c299e967c364a93d6fa8317"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ad8c3ded79c299e967c364a93d6fa8317">operator[32]</a></td></tr>
<tr class="separator:ad8c3ded79c299e967c364a93d6fa8317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918e396c6bd62059a5ecc1ff457b3868"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a918e396c6bd62059a5ecc1ff457b3868">sim_iccid</a> [32]</td></tr>
<tr class="separator:a918e396c6bd62059a5ecc1ff457b3868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac891703b558dbf4fab2f1ba5b265c5e3"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ac891703b558dbf4fab2f1ba5b265c5e3">sim_imsi</a> [16]</td></tr>
<tr class="separator:ac891703b558dbf4fab2f1ba5b265c5e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf170264c13e560add5c1e3211f0d7d8"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#acf170264c13e560add5c1e3211f0d7d8">taclac</a> [16]</td></tr>
<tr class="separator:acf170264c13e560add5c1e3211f0d7d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a46011bffe3743e8c1cf4296b7b0f26"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a1a46011bffe3743e8c1cf4296b7b0f26">pin_retries</a></td></tr>
<tr class="separator:a1a46011bffe3743e8c1cf4296b7b0f26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29d44840d72af729a809bfec5faecc7c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a29d44840d72af729a809bfec5faecc7c">signal_strength</a></td></tr>
<tr class="separator:a29d44840d72af729a809bfec5faecc7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f277266698c1ab07f4502e1254e8cca"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a5f277266698c1ab07f4502e1254e8cca">sim_slot</a></td></tr>
<tr class="separator:a5f277266698c1ab07f4502e1254e8cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a18bc74b9c42ae58d0fa1cb16d293ab"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a4a18bc74b9c42ae58d0fa1cb16d293ab">modem_state</a></td></tr>
<tr class="separator:a4a18bc74b9c42ae58d0fa1cb16d293ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4028ff21cfae1a75a198d2878024a8"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a4a4028ff21cfae1a75a198d2878024a8">modem_name</a> [64]</td></tr>
<tr class="separator:a4a4028ff21cfae1a75a198d2878024a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c1031cd435f4713caabd44ed1ce93b"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a06c1031cd435f4713caabd44ed1ce93b">modem_version</a> [64]</td></tr>
<tr class="separator:a06c1031cd435f4713caabd44ed1ce93b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5708f0f5b4ab7c3f40781add40ffeae1"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a5708f0f5b4ab7c3f40781add40ffeae1">umts_rssi</a></td></tr>
<tr class="separator:a5708f0f5b4ab7c3f40781add40ffeae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab542be2627edaf897c2b21edfe82b6cb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#ab542be2627edaf897c2b21edfe82b6cb">umts_ecio</a></td></tr>
<tr class="separator:ab542be2627edaf897c2b21edfe82b6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7c6e4e935cad07c26c9990d07e170c1"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#aa7c6e4e935cad07c26c9990d07e170c1">lte_rsrp</a></td></tr>
<tr class="separator:aa7c6e4e935cad07c26c9990d07e170c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a606c4ca27b9ca93619c064ef009a634a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a606c4ca27b9ca93619c064ef009a634a">lte_rssnr</a></td></tr>
<tr class="separator:a606c4ca27b9ca93619c064ef009a634a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6575f7791ab6399c7e626feba549f427"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a6575f7791ab6399c7e626feba549f427">nr_rsrp</a></td></tr>
<tr class="separator:a6575f7791ab6399c7e626feba549f427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2966b23d05afcdfde930598cc2bec4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#abf2966b23d05afcdfde930598cc2bec4">nr_snr</a></td></tr>
<tr class="separator:abf2966b23d05afcdfde930598cc2bec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee2b7479945190bd6e16799f48be0a8"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a9ee2b7479945190bd6e16799f48be0a8">encryption_type</a> [32]</td></tr>
<tr class="separator:a9ee2b7479945190bd6e16799f48be0a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fa8cff3d3e49d6926bfb205b94f2499"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a3fa8cff3d3e49d6926bfb205b94f2499">rssi</a></td></tr>
<tr class="separator:a3fa8cff3d3e49d6926bfb205b94f2499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53f1e1a62400f91b0b5e3bce0eef5748"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a53f1e1a62400f91b0b5e3bce0eef5748">profile_name</a> [32]</td></tr>
<tr class="separator:a53f1e1a62400f91b0b5e3bce0eef5748"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9706173b2ed538efeb5ee4a952e2272f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a9706173b2ed538efeb5ee4a952e2272f">tx</a></td></tr>
<tr class="separator:a9706173b2ed538efeb5ee4a952e2272f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895532773c3204e1538191f155c7bac8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a895532773c3204e1538191f155c7bac8">rx</a></td></tr>
<tr class="separator:a895532773c3204e1538191f155c7bac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93da632cbe6aa0282bcaaa46861e399a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a93da632cbe6aa0282bcaaa46861e399a">diag_state</a></td></tr>
<tr class="separator:a93da632cbe6aa0282bcaaa46861e399a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47bd55b1532f4c046d542c544be6c1a5"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a47bd55b1532f4c046d542c544be6c1a5">message</a> [512]</td></tr>
<tr class="separator:a47bd55b1532f4c046d542c544be6c1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b0c7bd4d79798ef4e0ce23894c9aeb2"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-base-info_8h.html#a1b0c7bd4d79798ef4e0ce23894c9aeb2">state</a></td></tr>
<tr class="separator:a1b0c7bd4d79798ef4e0ce23894c9aeb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a06fc87d81c62e9abb8790b6e5713c55b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06fc87d81c62e9abb8790b6e5713c55b">&#9670;&nbsp;</a></span>anonymous enum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>MCM Error Number </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85"></a>MCM_SUCCESS&#160;</td><td class="fielddoc"><p>success </p>
</td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad"></a>MCM_GENERIC_ERR&#160;</td><td class="fielddoc"><p>Generic error </p>
</td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142"></a>MCM_ENOMEM&#160;</td><td class="fielddoc"><p>Allocate memory fail </p>
</td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d"></a>MCM_ENODEV&#160;</td><td class="fielddoc"><p>No such device </p>
</td></tr>
<tr><td class="fieldname"><a id="a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354"></a>MCM_EINVAL&#160;</td><td class="fielddoc"><p>Invalid argument </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac2864741e24687afe650c319ad1c6d31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2864741e24687afe650c319ad1c6d31">&#9670;&nbsp;</a></span>mcm_free_property_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mcm_free_property_info </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>arr_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__property__info.html">mcm_property_info</a> *&#160;</td>
          <td class="paramname"><em>info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for properies array free. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">arr_len</td><td>(input) A number of properties array.</td></tr>
    <tr><td class="paramname">info</td><td>(input) A properies array being to free. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0312ffbc031c805ab82db57a4392e6d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0312ffbc031c805ab82db57a4392e6d6">&#9670;&nbsp;</a></span>mcm_get_error_message()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_get_error_message </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>error_num</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for propertyInfo_sub appended to propertyInfo. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error_num</td><td>(input) A error number.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>error message. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac729f85ec303664d3e8c81a70ff1a3c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac729f85ec303664d3e8c81a70ff1a3c4">&#9670;&nbsp;</a></span>broadcast</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool broadcast</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>broadcast </p>

</div>
</div>
<a id="acd57610007f7ed710e250701ea0c03a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd57610007f7ed710e250701ea0c03a9">&#9670;&nbsp;</a></span>bssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char bssid</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>BSSID</p>
<p>bssid </p>

</div>
</div>
<a id="a09a7a7a93a28f4ec9dc9f40b7f8dc577"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09a7a7a93a28f4ec9dc9f40b7f8dc577">&#9670;&nbsp;</a></span>cell_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char cell_id[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>cell id </p>

</div>
</div>
<a id="a0c72dd5e18823aef187a34137983c9a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c72dd5e18823aef187a34137983c9a6">&#9670;&nbsp;</a></span>channel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t channel</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>channel </p>

</div>
</div>
<a id="a52fef7d34e37f56f3bf4b24d505d9f82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52fef7d34e37f56f3bf4b24d505d9f82">&#9670;&nbsp;</a></span>connection_status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t connection_status</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>connection status (Indexed by <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680">McmConnectionState</a>) </p>

</div>
</div>
<a id="ae07305cbaed38d25344db17091d60c3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07305cbaed38d25344db17091d60c3c">&#9670;&nbsp;</a></span>default_route</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool default_route</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>default route </p>

</div>
</div>
<a id="a9ddb75962d95d165cbe23639f2c61adf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ddb75962d95d165cbe23639f2c61adf">&#9670;&nbsp;</a></span>device_imei</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char device_imei[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device imei </p>

</div>
</div>
<a id="a6cd1cfbc45c8f15dd88b3f752ae70a4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cd1cfbc45c8f15dd88b3f752ae70a4e">&#9670;&nbsp;</a></span>device_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char device_name</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device name </p>

</div>
</div>
<a id="af2f096ad2d7f6166acb346a978ceba9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2f096ad2d7f6166acb346a978ceba9f">&#9670;&nbsp;</a></span>device_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char device_type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device type </p>

</div>
</div>
<a id="a0401e282e39a0d57c2dec3279f261000"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0401e282e39a0d57c2dec3279f261000">&#9670;&nbsp;</a></span>dhcp_server</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool dhcp_server</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>DHCP Server status </p>

</div>
</div>
<a id="a93da632cbe6aa0282bcaaa46861e399a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93da632cbe6aa0282bcaaa46861e399a">&#9670;&nbsp;</a></span>diag_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t diag_state</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>diag bitmask state </p>

</div>
</div>
<a id="a88b073539a54e9b5002e29ae9ff3fd9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88b073539a54e9b5002e29ae9ff3fd9b">&#9670;&nbsp;</a></span>duplex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char duplex[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>duplex </p>

</div>
</div>
<a id="a8740ba80e30dd75e71d09fa1dcf04f3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8740ba80e30dd75e71d09fa1dcf04f3d">&#9670;&nbsp;</a></span>enabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool enabled</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>enabled </p>

</div>
</div>
<a id="a9ee2b7479945190bd6e16799f48be0a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ee2b7479945190bd6e16799f48be0a8">&#9670;&nbsp;</a></span>encryption_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char encryption_type[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>encryption type </p>

</div>
</div>
<a id="a4f2a37a625407c971e307c3b3dbf689e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f2a37a625407c971e307c3b3dbf689e">&#9670;&nbsp;</a></span>err_reason</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char err_reason[200]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>error reason </p>

</div>
</div>
<a id="a2b945ec5b73777a5e344cbed065d9710"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b945ec5b73777a5e344cbed065d9710">&#9670;&nbsp;</a></span>frequency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char frequency</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>is 2.4g/5g</p>
<p>freqency </p>

</div>
</div>
<a id="a283b9096e1c8ed43b27006c10025958e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a283b9096e1c8ed43b27006c10025958e">&#9670;&nbsp;</a></span>hwmode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char hwmode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>hwmode </p>

</div>
</div>
<a id="a9a87c62177c96969d2d451132cb54892"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a87c62177c96969d2d451132cb54892">&#9670;&nbsp;</a></span>interface_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char interface_name[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>interface name </p>

</div>
</div>
<a id="a8f15c84c92f895c70ab39c3dbf9e2a96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f15c84c92f895c70ab39c3dbf9e2a96">&#9670;&nbsp;</a></span>ipv4_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv4_address[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 address </p>

</div>
</div>
<a id="ac832f13256339c2829ad58eccb1bfe5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac832f13256339c2829ad58eccb1bfe5d">&#9670;&nbsp;</a></span>ipv4_dns</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv4_dns[2][16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 DNS </p>

</div>
</div>
<a id="a5064283dc44548edeee8d566865e5d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5064283dc44548edeee8d566865e5d17">&#9670;&nbsp;</a></span>ipv4_gateway</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv4_gateway[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 gateway </p>

</div>
</div>
<a id="ab5125e97510d71c51990ea272e8ccf88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5125e97510d71c51990ea272e8ccf88">&#9670;&nbsp;</a></span>ipv4_method</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv4_method[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 method </p>

</div>
</div>
<a id="aa805e8b1d75b2a9bda3d5f8666591d57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa805e8b1d75b2a9bda3d5f8666591d57">&#9670;&nbsp;</a></span>ipv4_netmask</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv4_netmask[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv4 netmask </p>

</div>
</div>
<a id="a0be0e69ac5c57ea9752a307e5bbe41bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0be0e69ac5c57ea9752a307e5bbe41bf">&#9670;&nbsp;</a></span>ipv6_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv6_address[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 address </p>

</div>
</div>
<a id="a0ee9c10c74c9b596e4fcd51b3d3163b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ee9c10c74c9b596e4fcd51b3d3163b1">&#9670;&nbsp;</a></span>ipv6_dns</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv6_dns[2][64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 DNS </p>

</div>
</div>
<a id="a462cf46f12f09d127042b278230c970f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a462cf46f12f09d127042b278230c970f">&#9670;&nbsp;</a></span>ipv6_gateway</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv6_gateway[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 gateway </p>

</div>
</div>
<a id="a2a8d51a784e3a91c1018ad2c25b38d05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a8d51a784e3a91c1018ad2c25b38d05">&#9670;&nbsp;</a></span>ipv6_method</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv6_method[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 method </p>

</div>
</div>
<a id="a0791a6014e71e8b2126c0dd6782fc2b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0791a6014e71e8b2126c0dd6782fc2b5">&#9670;&nbsp;</a></span>ipv6_netmask</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ipv6_netmask[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>ipv6 netmask </p>

</div>
</div>
<a id="a680c64b36d7cd83a02a8269cc0ebad26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a680c64b36d7cd83a02a8269cc0ebad26">&#9670;&nbsp;</a></span>link_detected</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool link_detected</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>link detected </p>

</div>
</div>
<a id="aae24fc4f200e75aa8215f797b2561dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae24fc4f200e75aa8215f797b2561dbf">&#9670;&nbsp;</a></span>link_speed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t link_speed</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>link speed </p>

</div>
</div>
<a id="aa7c6e4e935cad07c26c9990d07e170c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7c6e4e935cad07c26c9990d07e170c1">&#9670;&nbsp;</a></span>lte_rsrp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t lte_rsrp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4G RSRP </p>

</div>
</div>
<a id="a606c4ca27b9ca93619c064ef009a634a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a606c4ca27b9ca93619c064ef009a634a">&#9670;&nbsp;</a></span>lte_rssnr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t lte_rssnr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4G RSSNR </p>

</div>
</div>
<a id="adcbefa70f33164da7c7a133edecf7460"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcbefa70f33164da7c7a133edecf7460">&#9670;&nbsp;</a></span>mac_address</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mac_address[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>mac address </p>

</div>
</div>
<a id="a47bd55b1532f4c046d542c544be6c1a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47bd55b1532f4c046d542c544be6c1a5">&#9670;&nbsp;</a></span>message</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char message</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>diag message</p>
<p>upgrade message </p>

</div>
</div>
<a id="a4a4028ff21cfae1a75a198d2878024a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a4028ff21cfae1a75a198d2878024a8">&#9670;&nbsp;</a></span>modem_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char modem_name[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem name </p>

</div>
</div>
<a id="a4a18bc74b9c42ae58d0fa1cb16d293ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a18bc74b9c42ae58d0fa1cb16d293ab">&#9670;&nbsp;</a></span>modem_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t modem_state</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem state (Indexed by <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a>) </p>

</div>
</div>
<a id="a06c1031cd435f4713caabd44ed1ce93b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06c1031cd435f4713caabd44ed1ce93b">&#9670;&nbsp;</a></span>modem_version</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char modem_version[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem FWR version </p>

</div>
</div>
<a id="ad53db8acabbf75e31bf23d9f20a2c847"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad53db8acabbf75e31bf23d9f20a2c847">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char name[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>name </p>

</div>
</div>
<a id="a1f21e2768945b1f541c5dd3f57dc1251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f21e2768945b1f541c5dd3f57dc1251">&#9670;&nbsp;</a></span>network_rat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char network_rat[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>network rat </p>

</div>
</div>
<a id="a8f10bd71183ff4754a7ba5466a94d237"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f10bd71183ff4754a7ba5466a94d237">&#9670;&nbsp;</a></span>network_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char network_type[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>network type </p>

</div>
</div>
<a id="ae70f8c0526045bc9ab39d163b03c75a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae70f8c0526045bc9ab39d163b03c75a7">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structmcm__property__info__linked__list.html">mcm_property_info_linked_list</a>* next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>linked-list </p>

</div>
</div>
<a id="a6575f7791ab6399c7e626feba549f427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6575f7791ab6399c7e626feba549f427">&#9670;&nbsp;</a></span>nr_rsrp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t nr_rsrp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>5G RSRP </p>

</div>
</div>
<a id="abf2966b23d05afcdfde930598cc2bec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2966b23d05afcdfde930598cc2bec4">&#9670;&nbsp;</a></span>nr_snr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t nr_snr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>5G SNR </p>

</div>
</div>
<a id="aa0ce75e84ffdbdb732dfdb3df7e4a399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0ce75e84ffdbdb732dfdb3df7e4a399">&#9670;&nbsp;</a></span>operation_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char operation_mode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>operation mode </p>

</div>
</div>
<a id="ad8c3ded79c299e967c364a93d6fa8317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8c3ded79c299e967c364a93d6fa8317">&#9670;&nbsp;</a></span>operator[32]</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char operator[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>operator </p>

</div>
</div>
<a id="a1a46011bffe3743e8c1cf4296b7b0f26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a46011bffe3743e8c1cf4296b7b0f26">&#9670;&nbsp;</a></span>pin_retries</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t pin_retries</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pin retries </p>

</div>
</div>
<a id="a53f1e1a62400f91b0b5e3bce0eef5748"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53f1e1a62400f91b0b5e3bce0eef5748">&#9670;&nbsp;</a></span>profile_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char profile_name[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>profile name </p>

</div>
</div>
<a id="ad20b8c57a45da862d3567815284924bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad20b8c57a45da862d3567815284924bf">&#9670;&nbsp;</a></span>propertyName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char * propertyName</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>property name </p>

</div>
</div>
<a id="a63b548928a16f43766049f86ef90671b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63b548928a16f43766049f86ef90671b">&#9670;&nbsp;</a></span>propertyValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char * propertyValue</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>property value </p>

</div>
</div>
<a id="a3fa8cff3d3e49d6926bfb205b94f2499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fa8cff3d3e49d6926bfb205b94f2499">&#9670;&nbsp;</a></span>rssi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t rssi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>rssi </p>

</div>
</div>
<a id="a895532773c3204e1538191f155c7bac8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a895532773c3204e1538191f155c7bac8">&#9670;&nbsp;</a></span>rx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t rx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>RX Bytes </p>

</div>
</div>
<a id="a111d1b710875d0ac9796257db88b5786"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a111d1b710875d0ac9796257db88b5786">&#9670;&nbsp;</a></span>secure_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char secure_mode[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>scure mode </p>

</div>
</div>
<a id="a1f69f7997ce759a5dfefd92dada64d30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f69f7997ce759a5dfefd92dada64d30">&#9670;&nbsp;</a></span>signal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char signal[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>signal </p>

</div>
</div>
<a id="a29d44840d72af729a809bfec5faecc7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29d44840d72af729a809bfec5faecc7c">&#9670;&nbsp;</a></span>signal_strength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t signal_strength</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>signal strength </p>

</div>
</div>
<a id="a918e396c6bd62059a5ecc1ff457b3868"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918e396c6bd62059a5ecc1ff457b3868">&#9670;&nbsp;</a></span>sim_iccid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char sim_iccid[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim iccid </p>

</div>
</div>
<a id="ac891703b558dbf4fab2f1ba5b265c5e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac891703b558dbf4fab2f1ba5b265c5e3">&#9670;&nbsp;</a></span>sim_imsi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char sim_imsi[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim imsi </p>

</div>
</div>
<a id="a5f277266698c1ab07f4502e1254e8cca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f277266698c1ab07f4502e1254e8cca">&#9670;&nbsp;</a></span>sim_slot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t sim_slot</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim slot </p>

</div>
</div>
<a id="a852c23583d460f7300a34df220862c73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a852c23583d460f7300a34df220862c73">&#9670;&nbsp;</a></span>ssid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char ssid</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>SSID</p>
<p>ssid </p>

</div>
</div>
<a id="a1b0c7bd4d79798ef4e0ce23894c9aeb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b0c7bd4d79798ef4e0ce23894c9aeb2">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t state</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>upgrade bitmask state </p>

</div>
</div>
<a id="acf170264c13e560add5c1e3211f0d7d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf170264c13e560add5c1e3211f0d7d8">&#9670;&nbsp;</a></span>taclac</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char taclac[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>taclac </p>

</div>
</div>
<a id="a9706173b2ed538efeb5ee4a952e2272f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9706173b2ed538efeb5ee4a952e2272f">&#9670;&nbsp;</a></span>tx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t tx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>TX Bytes </p>

</div>
</div>
<a id="ab542be2627edaf897c2b21edfe82b6cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab542be2627edaf897c2b21edfe82b6cb">&#9670;&nbsp;</a></span>umts_ecio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t umts_ecio</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>3G RSRP </p>

</div>
</div>
<a id="a5708f0f5b4ab7c3f40781add40ffeae1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5708f0f5b4ab7c3f40781add40ffeae1">&#9670;&nbsp;</a></span>umts_rssi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t umts_rssi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>3G RSSI </p>

</div>
</div>
<a id="a083983abcc8360e115036c7ef93fa103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a083983abcc8360e115036c7ef93fa103">&#9670;&nbsp;</a></span>wan_priority</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t wan_priority</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>wan priority </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mcm-base-info_8h.html">mcm-base-info.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
